Import Snapshot Artifacts (v2)

Imports selected artifacts or categories from a snapshot into the environment.

Required Roles

Service Administrator

REST Resource

POST /interop/rest/v2/migration/snapshots/artifacts/import

Request

Supported Media Types: application/json

Table 2-232 Request Parameters

Name Description Type Required Default
snapshotName Name of the application snapshot from which artifacts are to be imported. Payload Yes None
categoryName Name of the category from which artifacts are to be imported. Payload Yes None
selectedArtifacts List of artifacts to be imported from the specified category.
  • // — Imports all artifacts from the category.

  • /Native Directory/Users — Imports the Users artifact under the Native Directory category

.Directory paths must end with /, whereas individual artifact paths must not end with /.

Payload No // (Imports all artifacts from the category).

Example URL and Payload

https://<BASE-URL>/interop/rest/v2/migration/snapshots/artifacts/import

Request Payload Example 1: Import All Artifacts from Data Management Category

{
    "snapshotName": "testuser@2025-10-17",
    "categories": [
        {
            "categoryName": "Data Management",
            "selectedArtifacts": [
                "//"
            ]
        }
    ]
}

Request Payload Example 2: Import All Artifacts from Data Management Category Without Specifying selectedArtifacts

{
    "snapshotName": "testuser@2025-10-18",
    "categories": [
        {
            "categoryName": "Data Management"
        }
    ]
}

Request Payload Example 3: Import Users Artifacts from Groups and Membership Category

{
    "snapshotName": "testuser@2025-10-19",
    "categories": [
        {
            "categoryName": "Groups and Membership",
            "selectedArtifacts": [
                "/Native Directory/Users"
            ]
        }
    ]
}

Request Payload Example 4: Import Multiple Categories from the Same Snapshot

{
  "snapshotName": "testuser@2025-10-20",
  "categories": [
    {
      "categoryName": "Data Management",
      "selectedArtifacts": [
        "//"
      ]
    },
    {
      "categoryName": "Groups and Membership",
      "selectedArtifacts": [
        "/Native Directory/Users"
      ]
    }
  ]
}

Response

Table 2-233 Parameters

Name Description
details In the case of errors, details are published with the error string
status See Migration Status Codes
links Detailed information about the link
href Links to API call
action The HTTP call type
rel Is self, which denotes the URL of this REST API.
data Parameters as key value pairs passed in the request

Example 1: Import is in Progress :


{
    "status": -1,
    "items": null,
    "links": [
        {
            "href": "https://<BASE-URL>/interop/rest/v2/migration/snapshots/artifacts/import",
            "action": "POST",
            "rel": "self"
        },
        {
            "href": "https://<BASE-URL>/interop/rest/v2/status/migration/4",
            "action": "GET",
            "rel": "Job Status"
        }
    ]
}

Example 2: Import Completed Successfully:

{
    "details": null,
    "status": 0,
    "items": [
        {
            "name": "Task Information",
            "destination": "FDM Enterprise Edition",
            "source": "/testuser@2025-10-17/FDMEE-FDM Enterprise Edition",
            "links": [
                {
                    "href": "https://<BASE-URL>/interop/rest/v2/status/migration/4/0/details?limit=25&offset=0&msgtype=info",
                    "action": "GET",
                    "rel": "Job Details",
                    "data": null
                }
            ]
        }
    ],
    "links": [
        {
            "href": "https://<BASE-URL>/interop/rest/v2/status/migration/4",
            "action": "GET",
            "rel": "self",
            "data": null
        }
    ]
}

Example 3: Snapshot Does Not Exist:


{
    "status": 8,
    "details": "Artifact Snapshot1245 snapshot does not exists.",
    "items": null,
    "links": [
        {
            "href": "https://<BASE-URL>/interop/rest/v2/migration/snapshots/artifacts/import",
            "action": "POST",
            "rel": "self"
        }
    ]
}

Example 4: Invalid Category:

{
    "status": 8,
    "details": "Invalid Category [Groups and Membership12]",
    "items": null,
    "links": [
        {
            "href": "https://<BASE-URL>/interop/rest/v2/migration/snapshots/artifacts/import",
            "action": "POST",
            "rel": "self"
        }
    ]
}